import { IKubernetesRESTClient, INamespacedResourceClient } from "@mittwald/kubernetes";
import { EmailPolicy } from "./types/v1alpha1/emailpolicy";
import { SMTPServer } from "./types/v1alpha1/smtpserver";
import { Registry } from "prom-client";
export declare const apiGroup = "kube-mail.helmich.me/v1alpha1";
export declare type APIGroup = "kube-mail.helmich.me/v1alpha1";
export interface KubemailV1Alpha1API {
    emailPolicies(): INamespacedResourceClient<EmailPolicy, "EmailPolicy", APIGroup>;
    smtpServers(): INamespacedResourceClient<SMTPServer, "SMTPServer", APIGroup>;
}
export interface KubemailAPI {
    v1alpha1(): KubemailV1Alpha1API;
}
export interface KubemailCustomResourceAPIInterface {
    kubemail(): KubemailAPI;
}
export declare class KubemailCustomResourceAPI implements KubemailCustomResourceAPIInterface {
    private restClient;
    private registry;
    constructor(restClient: IKubernetesRESTClient, registry: Registry);
    kubemail(): KubemailAPI;
}
