"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const kubernetes_1 = require("@mittwald/kubernetes");
exports.apiGroup = "kube-mail.helmich.me/v1alpha1";
class KubemailCustomResourceAPI {
    constructor(restClient, registry) {
        this.restClient = restClient;
        this.registry = registry;
    }
    kubemail() {
        return {
            v1alpha1: () => ({
                emailPolicies: () => new kubernetes_1.CustomResourceClient(new kubernetes_1.NamespacedResourceClient(this.restClient, `/apis/${exports.apiGroup}`, "/emailpolicies", this.registry), "EmailPolicy", exports.apiGroup),
                smtpServers: () => new kubernetes_1.CustomResourceClient(new kubernetes_1.NamespacedResourceClient(this.restClient, `/apis/${exports.apiGroup}`, "/smtpservers", this.registry), "SMTPServer", exports.apiGroup)
            }),
        };
    }
}
exports.KubemailCustomResourceAPI = KubemailCustomResourceAPI;
//# sourceMappingURL=api.js.map