import { MetadataObject } from "@mittwald/kubernetes/types/meta";
import { LabelSelector } from "@mittwald/kubernetes/types/meta/v1";
export declare type SMTPSink = {
    server: {
        name: string;
        namespace?: string;
    };
    credentials: {
        name: string;
        namespace?: string;
    };
};
export declare type CatchSink = {
    retentionDays?: number;
};
export declare type EmailPolicySpec = {
    default?: boolean;
    podSelector?: LabelSelector;
    ratelimiting?: {
        maximum: number;
        period?: "hour" | "minute";
    };
    sink: {
        smtp: SMTPSink;
    } | {
        catch: CatchSink;
    };
};
export declare type EmailPolicy = MetadataObject & {
    spec: EmailPolicySpec;
};
